package usingjsp;

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import com.sun.image.codec.jpeg.*;
import javax.servlet.*;

public class ImageRenderServlet extends GenericServlet
{
    public void service(ServletRequest request, ServletResponse response)
        throws IOException
    {
// Create the in-memory image
        BufferedImage buffImage = new BufferedImage(
            500, 200, BufferedImage.TYPE_INT_RGB);

// Create a graphics object from the image
        Graphics2D graphics = (Graphics2D) buffImage.getGraphics();

// Draw "Hello World" on the image
        graphics.setFont(new Font("Times", Font.BOLD, 36));
        graphics.drawString("Hello World! ", 10, 160);

// Tell the browser this servlet is returning a JPeg image
        response.setContentType("image/jpeg");

// Create an encoder to convert the image into JPEG format, using
// the servlet's output stream as the stream for writing the image
        JPEGImageEncoder encoder = JPEGCodec.createJPEGEncoder(
            response.getOutputStream());

// Convert the image to JPeg
        encoder.encode(buffImage);

    }
}


