<%@ page language="java" import="java.rmi.*,usingjsp.service.*" %>
<html>
<body bgcolor="#ffffff">
<%
    String requestIdStr = request.getParameter("requestId");

    RemoteServiceRequest remoteRequest = null;

// Locate the remote service in the application object
    ServiceRequests requests = (ServiceRequests)
        application.getAttribute("serviceRequests");

// If there was a requestId parameter passed in, locate the object
// it refers to
    if (requestIdStr != null)
    {
        int requestId = Integer.parseInt(requestIdStr);

        remoteRequest = requests.getByRequestId(requestId);
    }

// If there was no request id or the object no longer exists,
// create a new, empty object
    if (remoteRequest == null)
    {
        remoteRequest = requests.create();
%><h1>Enter a New Service Request</h1><%
    }
    else 
    {
%><h1>Edit Service Request</h1><%
    }

// Store the current object so the SaveRequest.jsp page can get at it
    session.setAttribute("currentRequest", remoteRequest);
%>
<form action="SaveRequest.jsp" method="post">
<table>
<tr>
<td>Originator: <td><input type="text" name="originator"
    value="<%= nullToSpace(remoteRequest.getOriginator())%>">
<tr>
<td>Title: <td><input type="text" name="title"
    value="<%= nullToSpace(remoteRequest.getTitle())%>"><br>
<tr>
<td>Details:
</table>
<textarea name="details" rows=4 cols=60>
<%= nullToSpace(remoteRequest.getDetails()) %>
</textarea>
<p>
<input type="submit" value="Save!">
</form>
<p>
<a href="ServiceRequests.jsp">Return to Main Page</a>
</body>
</html>

<%!
/** Keeps null strings from appearing as "null" in text fields */
    public static String nullToSpace(String str)
    {
        if (str == null) return "";
        return str;
    }
%>
