package usingjsp;

import java.sql.*;

public class Person
{
    public int personId;
    public String name;
    public int age;
    public String address;
    public String city;
    public String state;
    public String country;
    public String postalCode;
    public String email;
    public String phone;

    public Person()
    {
    }

    public Person(ResultSet results)
        throws SQLException
    {
        personId = results.getInt("person_id");
        name = results.getString("name");
        age = results.getInt("age");
        address = results.getString("address");
        city = results.getString("city");
        state = results.getString("state");
        country = results.getString("country");
        postalCode = results.getString("postal_code");
        email = results.getString("email");
        phone = results.getString("phone");
    }
}
