package usingjsp;

import javax.servlet.*;
import java.io.*;
import java.util.*;

public class ColorServlet2 extends GenericServlet
{
    public void service(ServletRequest request,
        ServletResponse response)
        throws IOException
    {
// Tell the web server that the response is HTML
        response.setContentType("text/html");

// Get the PrintWriter for writing out the response
        PrintWriter out = response.getWriter();

// Fetch the user key and color parameters
        String userKey = request.getParameter("userkey");
        String color = request.getParameter("color");

        Hashtable userData = UserDataTable.getUserData(userKey);

// If the user data table isn't found, someone probably monkeyed with
// the key value.
        if (userData == null)
        {
            out.println("<HTML><BODY>");
            out.println("<H1>Sorry</H1>");
            out.println("The system is experiencing problems.");
            out.println("</BODY></HTML>");
            return;
        }

// Now try to get the user name from the table
        String userName = (String) userData.get("username");

// Write the HTML back to the browser
        out.println("<HTML>");
        out.println("<BODY bgcolor=\"#ffffff\">");
        out.println("Well, I see that "+userName+
            "'s favorite color is "+color+".");
        out.println("</BODY>");
        out.println("</HTML>");
    }
}
