<HTML>
<BODY>

<%
// Initialize an array with some data to display

    Person[] people = new Person[]
        { new Person("Samantha Tippin", 7, "770-123-4567"),
          new Person("Kaitlyn Tippin", 4, "770-123-4567"),
          new Person("Edward Alexander", 1, "No phone"),
          new Person("Norton Alexander", 10, "No phone")
        };
    
// Stick the array in the request where the servlet can get to it
    request.setAttribute("people", people);
%>
<%-- Invoke the Table servlet, tell it the name of the attribute
     where the data is stored (data=people), set the border size to 4
     on the <TABLE> tag, and describe each column to display --%>

<jsp:include page="/servlet/usingjsp.TableServlet" flush="true">
    <jsp:param name="data" value="people"/>

    <jsp:param name="tableOptions" value="BORDER=4"/>

    <jsp:param name="column" value="name"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Name"/>

    <jsp:param name="column" value="age"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Age"/>

    <jsp:param name="column" value="getPhoneNumber"/>
    <jsp:param name="columnType" value="data"/>
    <jsp:param name="columnHeader" value="Phone #"/>
</jsp:include>
</BODY>
</HTML>
<%!
// Define a class to contain information. This would normally not
// be defined within a JSP
    public class Person
    {
        public String name;
        public int age;
        protected String phoneNumber;

        public Person(String aName, int anAge,
            String aPhoneNumber)
        {
            name = aName;
            age = anAge;
            phoneNumber = aPhoneNumber;
        }

// Just to show that methods work as well as fields, only allow the
// phone number to be accessed via a method call
        public String getPhoneNumber()
        {
            return phoneNumber;
        }
    }
%>
