package usingjsp.service;

import java.rmi.*;

public interface RemoteServiceRequest extends Remote
{
    public int getRequestId()
        throws RemoteException;
    public void setRequestId(int requestId)
        throws RemoteException;

    public String getOriginator()
        throws RemoteException;
    public void setOriginator(String originator)
        throws RemoteException;

    public String getTitle()
        throws RemoteException;
    public void setTitle(String aTitle)
        throws RemoteException;
    
    public String getDetails()
        throws RemoteException;
    public void setDetails(String theDetails)
        throws RemoteException;
    
    public void save()
        throws RemoteException;
    public void delete()
        throws RemoteException;
}
