package usingjsp;

import java.sql.*;

/** An interface defining common methods that a connection pool should
 *  implement.
 */
public interface IConnectionPool
{
    public Connection getConnection() throws SQLException;
    public void releaseConnection(Connection conn) throws SQLException;
}
