<%@ page language="java" import="java.text.*,java.util.*" %>
<%

// Get the default locale in case you can't determine the
// user's locale
    Locale locale = Locale.getDefault();

// Get the browser's preferred language
    String acceptLangString = request.getHeader("ACCEPT-LANGUAGE");

// Allow the user to override the browser's language setting. This
// lets you test with tools like Babelfish (which isn't that great
// at translating to begin with).
    String override = request.getParameter("langOverride");

    if (override != null)
    {
        acceptLangString = override;
    }

// If there is an ACCEPT-LANGUAGE header, parse it
    if (acceptLangString != null)
    {

// The accepted languages should be separater by commas, but also
// add space as a separator to eliminate whitespace
        StringTokenizer localeParser = new StringTokenizer(
            acceptLangString, " ,");

// See if there is a language in the list (you only need the first one)
        if (localeParser.hasMoreTokens())
        {
// Get the locale
            String localeStr = localeParser.nextToken();

// The locale should be in the format ll-CC where ll is the language
// and CC is the country, like en-US for English in the U.S. and
// de-DE for German in Germany. Allow the browser to use _ instead
// of -, too.
            StringTokenizer localeSplitter = new StringTokenizer(
                localeStr, "_-");

// Assume both values are blank
            String language = "";
            String country = "";

// See if there is a language specified
            if (localeSplitter.hasMoreTokens())
            {
                language = localeSplitter.nextToken();
            }

// See if there is a country specified (there won't always be one)
            if (localeSplitter.hasMoreTokens())
            {
                country = localeSplitter.nextToken();

            }

// Create a locale based on this language and country (if country is
// blank, you'll still get locale-based text, but currencies won't
// display correctly.
            locale = new Locale(language, country);
        }
    }

// Get the bundle of resource strings for this locale
    ResourceBundle resources = ResourceBundle.getBundle(
        "usingjsp.TestResources", locale);
%>
<html>
<body>
<h1><%= resources.getString("greetHeading")%></h1>
<p>
<%= resources.getString("welcomeText")%>:
<p>
<form action="your_form_handler_here" method="post">

<%=resources.getString("namePrompt")%>
<input type="text" name="name"><br>

<%=resources.getString("agePrompt")%>
<input type="text" name="age"><br>

<%=resources.getString("placePrompt")%>
<input type="text" name="place"><br>

<p>
<input type="submit" value="<%=resources.getString("submitButtonText")%>">
</form>
</body>
</html>
